<?php

namespace Laraecart\Cart\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class Order extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'laraecart.cart.order.model';


    /**
     * The details that belong to the order.
     */
    public function details(){
        return $this->belongsToMany('Cart\Order\Models\Details');
    }


    /**
     * The address that belong to the order.
     */
    public function address(){
        return $this->belongsTo('Cart\Order\Models\Address');
    }
}
